BeginBankIdVerification |WebMethod|
Begins a BankID verification session. After the request returns successfully, the member may open their BankID app and verify their Tradera account. Use GetBankIdVerificationProgress to check the progress of the verification, and use CancelBankIdVerification to cancel an ongoing verification.
An object containing a reference (BankIdOrderRef) to the ongoing Verification, or an Error indicating what type of error occurred while attempting to begin the Verification. When successful, BankIdOrderRef is a non-empty string, and Error is null. When failed, BankIdOrderRef is null, and Error is a non-empty string.
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/BeginBankIdVerification"
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<BeginBankIdVerification xmlns="http://api.tradera.com">
</BeginBankIdVerification>
</soap:Body>
</soap:Envelope>HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <BeginBankIdVerificationResponse xmlns="http://api.tradera.com"> <BeginBankIdVerificationResult>An object containing a reference (BankIdOrderRef) to the ongoing Verification, or an Error indicating what type of error occurred while attempting to begin the Verification. When successful, BankIdOrderRef is a non-empty string, and Error is null. When failed, BankIdOrderRef is null, and Error is a non-empty string.</BeginBankIdVerificationResult> </BeginBankIdVerificationResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<BeginBankIdVerification xmlns="http://api.tradera.com">
</BeginBankIdVerification>
</soap12:Body>
</soap12:Envelope>HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <BeginBankIdVerificationResponse xmlns="http://api.tradera.com"> <BeginBankIdVerificationResult>An object containing a reference (BankIdOrderRef) to the ongoing Verification, or an Error indicating what type of error occurred while attempting to begin the Verification. When successful, BankIdOrderRef is a non-empty string, and Error is null. When failed, BankIdOrderRef is null, and Error is a non-empty string.</BeginBankIdVerificationResult> </BeginBankIdVerificationResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/RestrictedService.asmx/BeginBankIdVerification?appId=string&appKey=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<BeginBankIdVerificationResult xmlns="http://api.tradera.com">An object containing a reference (BankIdOrderRef) to the ongoing Verification, or an Error indicating what
type of error occurred while attempting to begin the Verification.
When successful, BankIdOrderRef is a non-empty string, and Error is null.
When failed, BankIdOrderRef is null, and Error is a non-empty string.</BeginBankIdVerificationResult>HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx/BeginBankIdVerification HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<BeginBankIdVerificationResult xmlns="http://api.tradera.com">An object containing a reference (BankIdOrderRef) to the ongoing Verification, or an Error indicating what
type of error occurred while attempting to begin the Verification.
When successful, BankIdOrderRef is a non-empty string, and Error is null.
When failed, BankIdOrderRef is null, and Error is a non-empty string.</BeginBankIdVerificationResult>